## btrfs-progs 4.15.1

=== Makefile ===
#
# Basic build targets:
#   all		all main tools and the shared library
#   static      build static bnaries, requires static version of the libraries
#   test        run the full testsuite
#   install     install to default location (/usr/local)
#   clean       clean built binaries (not the documentation)
#   clean-all   clean as above, clean docs and generated files
#
# Tuning by variables (environment or make arguments):
#   V=1            verbose, print command lines (default: quiet)
#   C=1            run checker before compilation (default checker: sparse)
#   D=1            debugging build, turn off optimizations
#   D=dflags       dtto, turn on additional debugging features:
#                  verbose - print file:line along with error/warning messages
#                  trace   - print trace before the error/warning messages
#                  abort   - call abort() on first error (dumps core)
#                  all     - shortcut for all of the above
#                  asan    - enable address sanitizer compiler feature
#                  tsan    - enable thread sanitizer compiler feature
#                  ubsan   - undefined behaviour sanitizer compiler feature
#                  bcheck  - extended build checks
#   W=123          build with warnings (default: off)
#   DEBUG_CFLAGS   additional compiler flags for debugging build
#   EXTRA_CFLAGS   additional compiler flags
#   EXTRA_LDFLAGS  additional linker flags
#
# Testing-specific options (see also tests/README.md):
#   TEST=GLOB      run test(s) from directories matching GLOB
#   TEST_LOG=tty   print name of a command run via the execution helpers
#   TEST_LOG=dump  dump testing log file when a test fails
#
# Static checkers:
#   CHECKER        static checker binary to be called (default: sparse)
#   CHECKER_FLAGS  flags to pass to CHECKER, can override CFLAGS
#

# Export all variables to sub-makes by default
export

-include Makefile.inc
ifneq ($(MAKEFILE_INC_INCLUDED),yes)
$(error Makefile.inc not generated, please configure first)
endif

TAGS_CMD := ctags
CSCOPE_CMD := cscope -u -b -c -q

include Makefile.extrawarn

EXTRA_CFLAGS :=
EXTRA_LDFLAGS :=

DEBUG_CFLAGS_DEFAULT = -O0 -U_FORTIFY_SOURCE -ggdb3
DEBUG_CFLAGS_INTERNAL =
DEBUG_CFLAGS :=

DEBUG_LDFLAGS_DEFAULT =
DEBUG_LDFLAGS_INTERNAL =
DEBUG_LDFLAGS :=

ABSTOPDIR = $(shell pwd)
TOPDIR := .

# Common build flags
CSTD = -std=gnu90
CFLAGS = $(SUBST_CFLAGS) \
	 $(CSTD) \
	 -include config.h \
	 -DBTRFS_FLAT_INCLUDES \
	 -D_XOPEN_SOURCE=700  \
	 -fno-strict-aliasing \
	 -fPIC \
	 -I$(TOPDIR) \
	 -I$(TOPDIR)/kernel-lib \
	 $(EXTRAWARN_CFLAGS) \
	 $(DEBUG_CFLAGS_INTERNAL) \
	 $(EXTRA_CFLAGS)

LDFLAGS = $(SUBST_LDFLAGS) \
	  -rdynamic -L$(TOPDIR) \
	  $(DEBUG_LDFLAGS_INTERNAL) \
	  $(EXTRA_LDFLAGS)

LIBS = $(LIBS_BASE)
LIBBTRFS_LIBS = $(LIBS_BASE)

# Static compilation flags
STATIC_CFLAGS = $(CFLAGS) -ffunction-sections -fdata-sections
STATIC_LDFLAGS = -static -Wl,--gc-sections
STATIC_LIBS = $(STATIC_LIBS_BASE)

# don't use FORTIFY with sparse because glibc with FORTIFY can
# generate so many sparse errors that sparse stops parsing,
# which masks real errors that we want to see.
# Note: additional flags might get added per-target later
CHECKER := sparse
check_defs := .cc-defines.h
CHECKER_FLAGS := -include $(check_defs) -D__CHECKER__ \
	-D__CHECK_ENDIAN__ -Wbitwise -Wuninitialized -Wshadow -Wundef \
	-U_FORTIFY_SOURCE -Wdeclaration-after-statement -Wdefault-bitfield-sign

objects = ctree.o disk-io.o kernel-lib/radix-tree.o extent-tree.o print-tree.o \
	  root-tree.o dir-item.o file-item.o inode-item.o inode-map.o \
	  extent-cache.o extent_io.o volumes.o utils.o repair.o \
	  qgroup.o free-space-cache.o kernel-lib/list_sort.o props.o \
	  kernel-shared/ulist.o qgroup-verify.o backref.o string-table.o task-utils.o \
	  inode.o file.o find-root.o free-space-tree.o help.o send-dump.o \
	  fsfeatures.o kernel-lib/tables.o kernel-lib/raid56.o transaction.o
cmds_objects = cmds-subvolume.o cmds-filesystem.o cmds-device.o cmds-scrub.o \
	       cmds-inspect.o cmds-balance.o cmds-send.o cmds-receive.o \
	       cmds-quota.o cmds-qgroup.o cmds-replace.o check/main.o \
	       cmds-restore.o cmds-rescue.o chunk-recover.o super-recover.o \
	       cmds-property.o cmds-fi-usage.o cmds-inspect-dump-tree.o \
	       cmds-inspect-dump-super.o cmds-inspect-tree-stats.o cmds-fi-du.o \
	       mkfs/common.o check/mode-common.o check/mode-lowmem.o
libbtrfs_objects = send-stream.o send-utils.o kernel-lib/rbtree.o btrfs-list.o \
		   kernel-lib/crc32c.o messages.o \
		   uuid-tree.o utils-lib.o rbtree-utils.o
libbtrfs_headers = send-stream.h send-utils.h send.h kernel-lib/rbtree.h btrfs-list.h \
	       kernel-lib/crc32c.h kernel-lib/list.h kerncompat.h \
	       kernel-lib/radix-tree.h kernel-lib/sizes.h kernel-lib/raid56.h \
	       extent-cache.h extent_io.h ioctl.h ctree.h btrfsck.h version.h
convert_objects = convert/main.o convert/common.o convert/source-fs.o \
		  convert/source-ext2.o convert/source-reiserfs.o
mkfs_objects = mkfs/main.o mkfs/common.o mkfs/rootdir.o
image_objects = image/main.o image/sanitize.o
all_objects = $(objects) $(cmds_objects) $(libbtrfs_objects) $(convert_objects) \
	      $(mkfs_objects) $(image_objects)

udev_rules = 64-btrfs-dm.rules

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
else
  Q = @
endif

ifeq ("$(origin D)", "command line")
  DEBUG_CFLAGS_INTERNAL = $(DEBUG_CFLAGS_DEFAULT) $(DEBUG_CFLAGS)
  DEBUG_LDFLAGS_INTERNAL = $(DEBUG_LDFLAGS_DEFAULT) $(DEBUG_LDFLAGS)
endif

ifneq (,$(findstring verbose,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_VERBOSE_ERROR=1
endif

ifneq (,$(findstring trace,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_TRACE_ON_ERROR=1
endif

ifneq (,$(findstring abort,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_ABORT_ON_ERROR=1
endif

ifneq (,$(findstring all,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_VERBOSE_ERROR=1
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_TRACE_ON_ERROR=1
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_ABORT_ON_ERROR=1
endif

ifneq (,$(findstring asan,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fsanitize=address
  DEBUG_LDFLAGS_INTERNAL += -fsanitize=address -lasan
endif

ifneq (,$(findstring tsan,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fsanitize=thread -fPIC
  DEBUG_LDFLAGS_INTERNAL += -fsanitize=thread -ltsan -pie
endif

ifneq (,$(findstring ubsan,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fsanitize=undefined
  DEBUG_LDFLAGS_INTERNAL += -fsanitize=undefined -lubsan
endif

ifneq (,$(findstring bcheck,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_BUILD_CHECKS
endif

MAKEOPTS = --no-print-directory Q=$(Q)

# build all by default
progs = $(progs_install) btrfsck btrfs-corrupt-block

# install only selected
progs_install = btrfs mkfs.btrfs btrfs-debug-tree \
	btrfs-map-logical btrfs-image btrfs-zero-log \
	btrfs-find-root btrfstune \
	btrfs-select-super

# other tools, not built by default
progs_extra = btrfs-fragments btrfs-calc-size btrfs-show-super

progs_static = $(foreach p,$(progs),$(p).static)

ifneq ($(DISABLE_BTRFSCONVERT),1)
progs_install += btrfs-convert
endif

# external libs required by various binaries; for btrfs-foo,
# specify btrfs_foo_libs = <list of libs>; see $($(subst...)) rules below
btrfs_convert_cflags = -DBTRFSCONVERT_EXT2=$(BTRFSCONVERT_EXT2)
btrfs_convert_cflags += -DBTRFSCONVERT_REISERFS=$(BTRFSCONVERT_REISERFS)
btrfs_fragments_libs = -lgd -lpng -ljpeg -lfreetype
btrfs_debug_tree_objects = cmds-inspect-dump-tree.o
btrfs_show_super_objects = cmds-inspect-dump-super.o
btrfs_calc_size_objects = cmds-inspect-tree-stats.o
cmds_restore_cflags = -DBTRFSRESTORE_ZSTD=$(BTRFSRESTORE_ZSTD)

CHECKER_FLAGS += $(btrfs_convert_cflags)

# collect values of the variables above
standalone_deps = $(foreach dep,$(patsubst %,%_objects,$(subst -,_,$(filter btrfs-%, $(progs) $(progs_extra)))),$($(dep)))

SUBDIRS =
BUILDDIRS = $(patsubst %,build-%,$(SUBDIRS))
INSTALLDIRS = $(patsubst %,install-%,$(SUBDIRS))
CLEANDIRS = $(patsubst %,clean-%,$(SUBDIRS))

ifneq ($(DISABLE_DOCUMENTATION),1)
BUILDDIRS += build-Documentation
INSTALLDIRS += install-Documentation
endif

.PHONY: $(SUBDIRS)
.PHONY: $(BUILDDIRS)
.PHONY: $(INSTALLDIRS)
.PHONY: $(TESTDIRS)
.PHONY: $(CLEANDIRS)
.PHONY: all install clean
.PHONY: FORCE

# Create all the static targets
static_objects = $(patsubst %.o, %.static.o, $(objects))
static_cmds_objects = $(patsubst %.o, %.static.o, $(cmds_objects))
static_libbtrfs_objects = $(patsubst %.o, %.static.o, $(libbtrfs_objects))
static_convert_objects = $(patsubst %.o, %.static.o, $(convert_objects))
static_mkfs_objects = $(patsubst %.o, %.static.o, $(mkfs_objects))
static_image_objects = $(patsubst %.o, %.static.o, $(image_objects))

libs_shared = libbtrfs.so.0.1
libs_static = libbtrfs.a
libs = $(libs_shared) $(libs_static)
lib_links = libbtrfs.so.0 libbtrfs.so
headers = $(libbtrfs_headers)

# make C=1 to enable sparse
ifdef C
	# We're trying to use sparse against glibc headers which go wild
	# trying to use internal compiler macros to test features.  We
	# copy gcc's and give them to sparse.  But not __SIZE_TYPE__
	# 'cause sparse defines that one.
	#
	dummy := $(shell $(CC) -dM -E -x c - < /dev/null | \
			grep -v __SIZE_TYPE__ > $(check_defs))
	check = $(CHECKER)
	check_echo = echo
	CSTD = -std=gnu89
else
	check = true
	check_echo = true
endif

%.o.d: %.c
	$(Q)$(CC) -MM -MG -MF $@ -MT $(@:.o.d=.o) -MT $(@:.o.d=.static.o) -MT $@ $(CFLAGS) $<

#
# Pick from per-file variables, btrfs_*_cflags
#
.c.o:
	@$(check_echo) "    [SP]     $<"
	$(Q)$(check) $(CFLAGS) $(CHECKER_FLAGS) $<
	@echo "    [CC]     $@"
	$(Q)$(CC) $(CFLAGS) -c $< -o $@ $($(subst -,_,$(@:%.o=%)-cflags)) \
		$($(subst -,_,btrfs-$(@:%/$(notdir $@)=%)-cflags))

%.static.o: %.c
	@echo "    [CC]     $@"
	$(Q)$(CC) $(STATIC_CFLAGS) -c $< -o $@ $($(subst -,_,$(@:%.static.o=%)-cflags)) \
		$($(subst -,_,btrfs-$(@:%/$(notdir $@)=%)-cflags))

all: $(progs) libbtrfs $(BUILDDIRS)
$(SUBDIRS): $(BUILDDIRS)
$(BUILDDIRS):
	@echo "Making all in $(patsubst build-%,%,$@)"
	$(Q)$(MAKE) $(MAKEOPTS) -C $(patsubst build-%,%,$@)

test-convert: btrfs btrfs-convert
	@echo "    [TEST]   convert-tests.sh"
	$(Q)bash tests/convert-tests.sh

test-check: test-fsck
test-fsck: btrfs btrfs-image btrfs-corrupt-block mkfs.btrfs btrfstune
	@echo "    [TEST]   fsck-tests.sh"
	$(Q)bash tests/fsck-tests.sh

test-misc: btrfs btrfs-image btrfs-corrupt-block mkfs.btrfs btrfstune fssum \
		btrfs-zero-log btrfs-find-root btrfs-select-super btrfs-convert
	@echo "    [TEST]   misc-tests.sh"
	$(Q)bash tests/misc-tests.sh

test-mkfs: btrfs mkfs.btrfs
	@echo "    [TEST]   mkfs-tests.sh"
	$(Q)bash tests/mkfs-tests.sh

test-fuzz: btrfs btrfs-image
	@echo "    [TEST]   fuzz-tests.sh"
	$(Q)bash tests/fuzz-tests.sh

test-cli: btrfs mkfs.btrfs
	@echo "    [TEST]   cli-tests.sh"
	$(Q)bash tests/cli-tests.sh

test-clean:
	@echo "Cleaning tests"
	$(Q)bash tests/clean-tests.sh

test-inst: all
	@tmpdest=`mktemp --tmpdir -d btrfs-inst.XXXXXX` && \
		echo "Test installation to $$tmpdest" && \
		$(MAKE) $(MAKEOPTS) DESTDIR=$$tmpdest install && \
		$(RM) -rf -- $$tmpdest

test: test-fsck test-mkfs test-misc test-cli test-convert test-fuzz

testsuite: btrfs-corrupt-block fssum
	@echo "Export tests as a package"
	$(Q)cd tests && ./export-testsuite.sh

#
# NOTE: For static compiles, you need to have all the required libs
# 	static equivalent available
#
static: $(progs_static)

version.h: version.h.in configure.ac
	@echo "    [SH]     $@"
	$(Q)bash ./config.status --silent $@

mktables: kernel-lib/mktables.c
	@echo "    [CC]     $@"
	$(Q)$(CC) $(CFLAGS) $< -o $@

# the target can be regenerated manually using mktables, but a local copy is
# kept so the build process is simpler
kernel-lib/tables.c:
	@echo "    [TABLE]  $@"
	$(Q)./mktables > $@ || ($(RM) -f $@ && exit 1)

libbtrfs: $(libs_shared) $(lib_links)

$(libs_shared): $(libbtrfs_objects) $(lib_links) send.h
	@echo "    [LD]     $@"

## btrfs-progs 4.7.3

=== debian/changelog ===
btrfs-progs (4.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Sep 2016 14:48:05 +0100

btrfs-progs (4.7.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #836778)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 08 Sep 2016 12:27:38 +0100

btrfs-progs (4.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 26 Aug 2016 15:00:46 +0100

btrfs-progs (4.7-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Aug 2016 12:52:07 +0100

btrfs-progs (4.6.1-1) unstable; urgency=high

  [ Dimitri John Ledkov ]
  * New upstream release
  * Update debian/copyright as package is mostly GPL-2 only, not GPL-2+
    (Closes: #824896)
  * Provide upstream changelog, thanks to Nicholas D Steeves (Closes:
    #824894)
  * Set Vcs-* control headers pointing at dgit git repositories
  * Add udev build-dependency, to install upstream btrfs-dm udev rules
  * Ship libgcc_s into the initrd, for scrub to work because it uses
    pthread_cancel. Thanks Guilhem. (Closes: #830883)

  [ Nicholas D Steeves ]
  * debian/watch: add mangling rules to prefer non-rcN versions; add
    cryptographic signature verification of tarball (Closes: #827778)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Jul 2016 13:50:21 +0100

btrfs-progs (4.5.2-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Thanks for NMU of package rename.
  * New upstream release 4.5.2.
  * Upload using dgit.
  * Source-only upload.
  * btrfs-convert should not be included in the initramfs, but should be
    compiled. Using btrfs-convert is not a trivial operation, and
    especially not from a minimal shell. Also it is known to fail, and for
    a sophisticated user it is trivial to include it in the
    initramfs. Thus won't fix Closes: #801192
  * No sponsorship required Closes: #823474
  * Add Provides btrfs-tools-udeb to the -progs-udeb package.
  * Enable verbose build.

  [ Ben Hutchings ]
  * Show only errors from boot-time "btrfs scan" if "quiet" is
    used. Closes: #812722

 -- Dimitri John Ledkov <xnox@debian.org>  Tue, 10 May 2016 09:59:51 +0100

btrfs-progs (4.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Rename package to btrfs-progs (Closes: #780081)
  * Update standards version to 3.9.7 (no changes needed).
  * debian/control: Add "Breaks" per Gianfranco Costamagna's suggestion
  * Change lintian override to reflect package rename
  * Switch from using postinst and postrm to using triggers
    per Christian Seiler's recommendation.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 22 Apr 2016 19:41:30 -0400

btrfs-tools (4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 19 Jan 2016 19:03:41 +0000

btrfs-tools (4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 07 Nov 2015 11:27:13 +0000

btrfs-tools (4.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 24 Oct 2015 00:09:28 +0100

btrfs-tools (4.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 30 Aug 2015 00:18:54 +0100

btrfs-tools (4.0-2) unstable; urgency=medium

  * Adjust initramfs hooks and udev rules for move of all binaries to
    /bin. (Closes: #784234)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 04 May 2015 18:51:07 +0100

btrfs-tools (4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches.
  * Experiment with dropping udev rules, in favour of systemd-udev builtin
    integration. (Closes: #772744)
  * Move all binaries to /bin (Closes: #770806)
  * Switch to autoconf based build system.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 18 Jan 2015 00:14:20 +0000

btrfs-tools (3.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 0002-Fix-linking-with-libbtrfs.patch from upstream, to properly
    export all the previously exported API (Closes: #768746)
  * Add 0003-Make-headers-C++-compatible.patch from upstream, making the
    new headers C++-compatible.

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 22 Nov 2014 14:52:06 +0100

btrfs-tools (3.17-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Thu, 23 Oct 2014 22:04:07 +0100

btrfs-tools (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches (not needed, or upstremed), but unaligned memory access.
  * Update upstream location in uscan, to pull release by kdave.
  * Use upstream fsck.btrfs script.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 11 Oct 2014 16:54:05 +0100

btrfs-tools (3.16-1) unstable; urgency=medium

  * New upstream release.
  * Add asciidoc & xmlto build dependencies.
  * Disable test-suites for now, should be run as autopkgtests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 21 Sep 2014 02:05:14 +0100

btrfs-tools (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to git-dpm.
  * Rebase and cleanup patches.

 -- Dimitri John Ledkov <xnox@debian.org>  Sat, 19 Apr 2014 12:12:11 +0100

btrfs-tools (3.12-1) unstable; urgency=low

  [ Julien Muchembled ]
  * New upstream release. (Closes: #732075, #732533)
  * Drop patches merged upstream:
    - 07-manpage2.patch
    - 10-soname.patch
    - Btrfs-progs-fix-wrong-arg-sb_bytenr-for-btrfs_scan_fs_devices.patch
  * Refresh patches. (Closes: #719072)

  [ Dimitri John Ledkov ]
  * Add watch file.
  * Bump standards version to 3.9.5.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 Jan 2014 01:52:43 +0000

btrfs-tools (0.19+20130705-3) unstable; urgency=low

  * Import patch by Shilong Wang to resolve btrfs-convert (Closes:
    #724265) (LP: #1228302)



=== debian/control ===
Source: btrfs-progs
Section: admin
Priority: optional
Maintainer: Dimitri John Ledkov <xnox@debian.org>
Build-Depends: debhelper (>= 9),
               e2fslibs-dev,
               pkg-config,
               libacl1-dev,
               libblkid-dev,
               liblzo2-dev,
               uuid-dev,
	       udev,
               zlib1g-dev,
               asciidoc,
               xmlto,
Standards-Version: 3.9.8
Homepage: http://btrfs.wiki.kernel.org/
Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
Vcs-Git: https://git.dgit.debian.org/btrfs-progs

Package: btrfs-progs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: btrfs-tools (<< 4.4.1-1)
Breaks: btrfs-tools (<< 4.4.1-1)
Description: Checksumming Copy on Write Filesystem utilities
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains utilities (mkfs, fsck) used to work with btrfs
 and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.

Package: btrfs-tools
Section: oldlibs
Architecture: linux-any
Depends: btrfs-progs, ${misc:Depends}, ${shlibs:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: btrfs-progs-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: btrfs-tools-udeb
Description: Checksumming Copy on Write Filesystem utilities (udeb)

Package: btrfs-progs-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: btrfs-progs (= ${binary:Version}), ${misc:Depends}
Replaces: btrfs-tools-dbg (<< 4.4.1-1)
Breaks: btrfs-tools-dbg (<< 4.4.1-1)
Description: Checksumming Copy on Write Filesystem utilities (debug)
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains the debugging symbols.

Package: btrfs-tools-dbg
Section: oldlibs
Priority: extra
Architecture: linux-any
Depends: btrfs-progs-dbg, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC := $(DEB_HOST_GNU_TYPE)-gcc
else
  CC := gcc
endif

SHELL := sh -e

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))

%:
	dh ${@} --parallel

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/bin

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_auto_install --destdir=debian/btrfs-progs

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-progs/usr/share/initramfs-tools/hooks/btrfs
	install -D -m 0755 debian/local/btrfs.local-premount debian/btrfs-progs/usr/share/initramfs-tools/scripts/local-premount/btrfs

# Needs autopkgtest
override_dh_auto_test:

override_dh_strip:
	dh_strip --dbg-package=btrfs-progs-dbg

## btrfs-progs 4.9.1

=== debian/changelog ===
btrfs-progs (4.9.1-1ubuntu1.1) zesty; urgency=medium

  * Cherry-pick follow-up fix from upstream (LP: #1689621):
    - 0003-btrfs-progs-send-fail-on-first-ENODATA-only.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 May 2017 15:18:10 -0400

btrfs-progs (4.9.1-1ubuntu1) zesty; urgency=medium

  * Fix btrfs send/receive:
    - 0001-btrfs-progs-fix-btrfs-send-receive-with-e-flag.patch
    - 0002-tests-use-receive-e-to-terminate-on-end-marker.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 05 Apr 2017 13:14:59 -0400

btrfs-progs (4.9.1-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release Closes: #849353, #817806, #854915, #845473
  * Use dh addon for bash completion (--with bash-completion)
  * Suggest duperemove Closes: #703169

  [ Hideki Yamane ]
  * debian/control
    - add Build-Depends: bash-completion to use dh_bash-completion
  * debian/rules
    - call dh_bash-completion
  * add debian/btrfs-progs.bash-completion Closes: #840302, #800790.

  [ Helmut Grohne ]
  * Fix FTCBFS: cross.patch: Indirect pkg-config invocations through
    $PKG_CONFIG and autoreconf (Closes: #845816)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 13 Feb 2017 11:45:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
@@ -13,6 +15,7 @@
                zlib1g-dev,
                asciidoc,
                xmlto,
+               bash-completion,
 Standards-Version: 3.9.8
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
@@ -23,6 +26,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
 Breaks: btrfs-tools (<< 4.4.1-1)
+Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy

## btrfs-progs 4.12

=== debian/changelog ===
btrfs-progs (4.12-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release.
  * Update watch file to v4.

  [ Nicholas D Steeves ]
  * Override dh_auto_clean to work around upstream bug where make clean cannot be run before ./configure
  * Drop btrfs-convert (Closes: #824895, #854489)
  * Update Source, because Chris Mason's branch hasn't been updated since v4.4
  * 4.6.1-1 did not fix package license Btrfs-progs is explicitly GPL2 and not GPL2+.
  * Update copyright for new locations of: radix-tree.c and radix-tree.h
  * d/control: add whitespace (cosmetic fix)
  * Switch to debhelper 10 and automatically generated -dbgsym package

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Jul 2017 15:18:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
                e2fslibs-dev,
                pkg-config,
@@ -11,7 +10,7 @@
                libblkid-dev,
                liblzo2-dev,
                uuid-dev,
-	       udev,
+               udev,
                zlib1g-dev,
                asciidoc,
                xmlto,
@@ -49,25 +48,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: btrfs-tools-udeb
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
-
-Package: btrfs-progs-dbg
-Section: debug
-Priority: extra
-Architecture: linux-any
-Depends: btrfs-progs (= ${binary:Version}), ${misc:Depends}
-Replaces: btrfs-tools-dbg (<< 4.4.1-1)
-Breaks: btrfs-tools-dbg (<< 4.4.1-1)
-Description: Checksumming Copy on Write Filesystem utilities (debug)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
- advanced features while focusing on fault tolerance, repair and easy
- administration.
- .
- This package contains the debugging symbols.
-
-Package: btrfs-tools-dbg
-Section: oldlibs
-Priority: extra
-Architecture: linux-any
-Depends: btrfs-progs-dbg, ${misc:Depends}
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.

## btrfs-progs 4.15.1

=== debian/changelog ===
btrfs-progs (4.15.1-1build1) bionic; urgency=medium

  * No change rebuild against libzstd1-udeb.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Mar 2018 23:04:27 +0000

btrfs-progs (4.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 19 Feb 2018 15:50:12 +0000

btrfs-progs (4.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Add libzstd-dev build dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Jan 2018 15:43:20 +0000

btrfs-progs (4.13.3-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release.
  * Add breaks against incompatible btrbk. Closes: #872836
  * Use noawait trigger variant, updating initramfs is optional, and
    doesn't relly matter when it happens, as long as it does, eventually.

  [ Nicholas D Steeves ]
  * Add copyright for tests/sha.h tests/sha224-256.c tests/sha-private.h
  * Drop dh-autoreconf from build-depends, because it's automatic now.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Oct 2017 13:15:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
+               libzstd-dev,
                uuid-dev,
                udev,
                zlib1g-dev,
@@ -24,7 +25,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
-Breaks: btrfs-tools (<< 4.4.1-1)
+Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,13 @@
 CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))
 
 %:
-	dh ${@} --parallel
+	dh ${@} --with bash-completion
+
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/bin
+	dh_auto_configure -- --bindir=/bin --disable-convert
 
 override_dh_auto_build:
 	dh_auto_build -- V=1
@@ -32,4 +35,9 @@
 override_dh_auto_test:
 
 override_dh_strip:
-	dh_strip --dbg-package=btrfs-progs-dbg
+	dh_strip --dbgsym-migration='btrfs-progs (<< 4.11.1+dfsg-1~)'
+
+override_dh_auto_clean:
+	if test -f Makefile.inc; then \
+		dh_auto_clean; \
+	fi

## btrfs-progs 4.16.1

=== debian/changelog ===
btrfs-progs (4.16.1-2ubuntu1) cosmic; urgency=medium

  * Add Provides: btrfs-tools, such that curtin can continue to install
    btrfs-tools.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 23 May 2018 12:42:19 +0100

btrfs-progs (4.16.1-2) unstable; urgency=medium

  * Do not copy_exec btrfs-zero-log into initramfs, superseeded by `btrfs
    rescue zero-log` sub-command. Closes: #898720, #898719.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 May 2018 14:15:27 +0100

btrfs-progs (4.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop transitional btrfs-tools package.
  * Drop cross.patch, similar change done upstream.
  * Package libbtrfs, libbtrfsutil, and python bindings.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 May 2018 14:17:03 -0700

btrfs-progs (4.15.1-2) unstable; urgency=medium

  * If libzstd is provided in both deb & udeb variants (such as Ubuntu
    bionic) enable zstd support. If libzstd is not provided with both deb
    & udeb variants (such as current Debian unstable) disable zstd
    support. If and when libzstd is provided in both deb & udeb variants,
    a binNMU of this package is sufficient to enable zstd support. Closes:
    #886968
  * Drop obsolete lintian overrides.
  * Add alternative email address as uploader.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Apr 2018 11:59:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Dimitri John Ledkov <xnox@ubuntu.com>
+Build-Depends: debhelper (>= 11),
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
@@ -16,7 +17,10 @@
                asciidoc,
                xmlto,
                bash-completion,
-Standards-Version: 3.9.8
+	       python3-dev,
+	       python3-setuptools,
+	       dh-python,
+Standards-Version: 4.1.4
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
 Vcs-Git: https://git.dgit.debian.org/btrfs-progs
@@ -26,6 +30,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
 Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
+Provides: btrfs-tools
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
@@ -35,12 +40,64 @@
  This package contains utilities (mkfs, fsck) used to work with btrfs
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
-Package: btrfs-tools
-Section: oldlibs
+Package: libbtrfs0
 Architecture: linux-any
-Depends: btrfs-progs, ${misc:Depends}, ${shlibs:Depends}
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: btrfs-progs (<< 4.16.1-1)
+Breaks: btrfs-progs (<< 4.16.1-1)
+Description: Checksumming Copy on Write Filesystem utilities (runtime library)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains userspace shared code library libbtrfs.
+
+Package: libbtrfs-dev
+Architecture: linux-any
+Section: libdevel
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
+Replaces: btrfs-progs (<< 4.16.1-1)
+Breaks: btrfs-progs (<< 4.16.1-1)
+Description: Checksumming Copy on Write Filesystem utilities (development headers)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains development headers for the libbtrfs library.
+
+Package: libbtrfsutil1
+Architecture: linux-any
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains userspace shared code library libbtrfsutil.
+
+Package: libbtrfsutil-dev
+Architecture: linux-any
+Section: libdevel
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
+Description: Checksumming Copy on Write Filesystem utilities (util development headers)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains development headers for the libbtrfsutil library.
+
+Package: python3-btrfsutil
+Architecture: linux-any
+Section: python
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Description: Checksumming Copy on Write Filesystem utilities (python3 bindings)
+ Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ advanced features while focusing on fault tolerance, repair and easy
+ administration.
+ .
+ This package contains python3 bindings.
 
 Package: btrfs-progs-udeb
 Package-Type: udeb

## btrfs-progs 4.20.1

=== debian/changelog ===
btrfs-progs (4.20.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Add minimum version of "1.3.8" to libzstd-dev's Build-Depends, because
    no one is testing btrfs+zstd with stretch's old 1.1.2.  Eg: Without
    this the package does not benefit from users' experience with
    buster/testing, and also because Facebook and SuSE are QAing with a
    newer libzstd.
    - Note that zstd did not have a stable "advanced API" eg: for
      multithreading until v1.3.8.
    - This will pull in libzstd-dev from stretch-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 22 Feb 2019 00:32:54 -0700

btrfs-progs (4.20.1-2) unstable; urgency=medium

  * Fix btrfs send of snapshots stored in /. Closes: #920886.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 09 Feb 2019 13:43:54 +0000

btrfs-progs (4.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 Jan 2019 00:34:29 +0000

btrfs-progs (4.19.1-2) unstable; urgency=medium

  * Rebuild with libzstd support on.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Jan 2019 11:26:50 +0000

btrfs-progs (4.19.1-1) unstable; urgency=medium

  * New upstream release.
  * Add btrfs-tools provides, too many things still the universal name.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 11 Dec 2018 10:31:04 +1100

btrfs-progs (4.17-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Relax debhelper Build-Depends to 11~ to allow backporting.
  * Restore btrfs-tools transitional package.  This is needed for the
    following packages on stretch: xen-tools, schroot, lxc,
    linaro-image-tools, kvpm, fsarchiver, and libguestfs0.
  * Add Breaks snapper (<< 0.5.4-4~).  Needed because upstream
    btrfs-progs-4.16.1 changed some library names and locations.
    See Bug #900314 for more information.
  * Remove debian/source/options, because this source option forces
    regeneration of a new orig.tarball, when the existing one in the
    archive must be used for backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 01 Sep 2018 14:59:26 -0400

btrfs-progs (4.17-1) unstable; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Jul 2018 14:31:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Uploaders: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
-               libzstd-dev,
+               libzstd-dev (>= 1.3.8),
                uuid-dev,
                udev,
                zlib1g-dev,
@@ -20,7 +19,7 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
 Vcs-Git: https://git.dgit.debian.org/btrfs-progs
@@ -30,6 +29,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
 Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
+      , snapper (<< 0.5.4-4~)
 Provides: btrfs-tools
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
@@ -106,3 +106,10 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: btrfs-tools-udeb
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
+
+Package: btrfs-tools
+Section: oldlibs
+Architecture: linux-any
+Depends: btrfs-progs, ${misc:Depends}, ${shlibs:Depends}
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.

## btrfs-progs 4.20.1.1

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Dimitri John Ledkov <xnox@debian.org>
 Uploaders: Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 11),
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
-               libzstd-dev (>= 1.3.8),
+               libzstd-dev,
                uuid-dev,
                udev,
                zlib1g-dev,
@@ -29,7 +29,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-tools (<< 4.4.1-1)
 Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
-      , snapper (<< 0.5.4-4~)
 Provides: btrfs-tools
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
@@ -106,10 +105,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: btrfs-tools-udeb
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
-
-Package: btrfs-tools
-Section: oldlibs
-Architecture: linux-any
-Depends: btrfs-progs, ${misc:Depends}, ${shlibs:Depends}
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -12,20 +12,26 @@
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))
 
+ZSTD := $(shell grep '^udeb: ' /var/lib/dpkg/info/libzstd*.shlibs)
+
 %:
-	dh ${@} --with bash-completion
+	dh ${@} --with bash-completion,python3
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/bin --disable-convert
+ifneq (,$(ZSTD))
+	dh_auto_configure -- --bindir=/bin --disable-convert --enable-zstd
+else
+	dh_auto_configure -- --bindir=/bin --disable-convert --disable-zstd
+endif
 
 override_dh_auto_build:
 	dh_auto_build -- V=1
 
 override_dh_auto_install:
-	dh_auto_install --destdir=debian/btrfs-progs
+	dh_auto_install -- install install_python
 
 	# Adding initramfs-tools integration
 	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-progs/usr/share/initramfs-tools/hooks/btrfs
@@ -34,6 +40,10 @@
 # Needs autopkgtest
 override_dh_auto_test:
 
+override_dh_install:
+	dh_install
+	dh_missing --list-missing
+
 override_dh_strip:
 	dh_strip --dbgsym-migration='btrfs-progs (<< 4.11.1+dfsg-1~)'

## btrfs-progs 4.20.2

=== debian/changelog ===
btrfs-progs (4.20.2-1) unstable; urgency=medium

  * New upstream release
  * Orphan package

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Mar 2019 03:53:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Dimitri John Ledkov <xnox@debian.org>
-Uploaders: Dimitri John Ledkov <xnox@ubuntu.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 11),
                e2fslibs-dev,
                pkg-config,

## btrfs-progs 5.2.1

=== debian/changelog ===
btrfs-progs (5.2.1-1ubuntu1) eoan; urgency=medium

  * Fix ftbfs due to asciidoctor removing docbook45 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Sep 2019 17:46:19 +0100

btrfs-progs (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix an option-parsing crash on btrfs check -E (Closes: #916538).
  * Avoid patching the Makefile.
  * Remove references to btrfs-tools (gone since before Stretch).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Jul 2019 02:59:05 +0200

btrfs-progs (5.2-1) unstable; urgency=medium

  * New upstream release.
  * Install mkfs.btrfs to /sbin (Nicholas D Steeves; closes: #911623).
  * Fix a printf format-security fatal warning.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 07 Jul 2019 23:33:26 +0200

btrfs-progs (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 02 Jul 2019 00:48:16 +0200

btrfs-progs (5.1-1) experimental; urgency=medium

  * New maintainer.  Closes: #924368.
  * New upstream release.
  * Move the VCS to Salsa.
  * Use asciidoctor not asciidoc.  Closes: #895501.
  * Install fsck.btrfs to /sbin not /bin.  Closes: #798072.
  * Always build with ZSTD support.
  * Bring back missing btrfs-convert.  Closes: #870286.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 08 Jun 2019 22:09:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>= 11),
                e2fslibs-dev,
                pkg-config,
@@ -12,23 +13,23 @@
                uuid-dev,
                udev,
                zlib1g-dev,
-               asciidoc,
+               asciidoctor,
                xmlto,
                bash-completion,
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
-Vcs-Browser: https://browse.dgit.debian.org/btrfs-progs.git
-Vcs-Git: https://git.dgit.debian.org/btrfs-progs
+Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
+Vcs-Git: https://salsa.debian.org/debian/btrfs-progs.git -b debian
 
 Package: btrfs-progs
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: btrfs-tools (<< 4.4.1-1)
-Breaks: btrfs-tools (<< 4.4.1-1), btrbk (<= 0.25.0)
-Provides: btrfs-tools
+Breaks: btrbk (<= 0.25.0)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
@@ -40,6 +41,7 @@
 
 Package: libbtrfs0
 Architecture: linux-any
+Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: btrfs-progs (<< 4.16.1-1)
@@ -53,6 +55,7 @@
 
 Package: libbtrfs-dev
 Architecture: linux-any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
 Replaces: btrfs-progs (<< 4.16.1-1)
@@ -66,6 +69,7 @@
 
 Package: libbtrfsutil1
 Architecture: linux-any
+Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
@@ -77,6 +81,7 @@
 
 Package: libbtrfsutil-dev
 Architecture: linux-any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
@@ -88,6 +93,7 @@
 
 Package: python3-btrfsutil
 Architecture: linux-any
+Multi-Arch: same
 Section: python
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (python3 bindings)
@@ -102,5 +108,4 @@
 Section: debian-installer
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: btrfs-tools-udeb
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
